epp_StatusCommandType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_StatusCommandType class

### org.openrtk.idl.epp0604

# Class epp_StatusCommandType

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_StatusCommandType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_StatusCommandType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of status command types. The status command types permitted are: CREATE, DELETE, RENEW, TRANSFER and UPDATE. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_StatusCommandType.java,v 1.1 2003/03/21 15:54:32 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:32 $
see org.openrtk.idl.epp0604.epp_StatusReq

  ## Field Summary
  `static epp_StatusCommandType` | `CREATE`
  `static epp_StatusCommandType` | `DELETE`
  `static epp_StatusCommandType` | `RENEW`
  `static epp_StatusCommandType` | `TRANSFER`
  `static epp_StatusCommandType` | `UPDATE`
  `static int` | `_CREATE`
  `static int` | `_DELETE`
  `static int` | `_RENEW`
  `static int` | `_TRANSFER`
  `static int` | `_UPDATE`

  ## Constructor Summary
  `epp_StatusCommandType(int value)`

  ## Method Summary
  `static epp_StatusCommandType` | `from_int(int value)`
  `String` | `toString()`
  `int` | `value()`

## Field Details

### CREATE

    public static final epp_StatusCommandType CREATE

### DELETE

    public static final epp_StatusCommandType DELETE

### RENEW

    public static final epp_StatusCommandType RENEW

### TRANSFER

    public static final epp_StatusCommandType TRANSFER

### UPDATE

    public static final epp_StatusCommandType UPDATE

### _CREATE

    public static final int _CREATE

> Field Value:
>   0

### _DELETE

    public static final int _DELETE

> Field Value:
>   1

### _RENEW

    public static final int _RENEW

> Field Value:
>   2

### _TRANSFER

    public static final int _TRANSFER

> Field Value:
>   3

### _UPDATE

    public static final int _UPDATE

> Field Value:
>   4

## Constructor Details

### epp_StatusCommandType

    protected epp_StatusCommandType(int value)

## Method Details

### from_int

    public static epp_StatusCommandType from_int(int value)

### toString

    public String toString()

### value

    public int value()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS